Jump to content

Recommended Posts

Hello,

A new free module to offer Google's machine translation service in more than 100 languages on your PrestaShop store.

Just install the module and automatically when a customer visits your site by speaking another language than the one selected on the site, a banner will display the choice of the translation.

This system will never replace a real human translation with a site in several languages, but this may allow some visitors to have a better understanding of your products if the official translation of the site does not exist in their language.

DOWNLOAD

couv_addons_en.thumb.jpg.0eaf558d43414e80b43727e2e003de1c.jpg

  • Thanks 1

Share this post


Link to post
Share on other sites

Hi, 

for which PS version is this modul? I installed it in 1.7.3.0 and I just get a empty site if I click on "settings"

image.thumb.png.a56ecd5d5c0806fc44d9298a96d2e386.png

And I got a warning in chrome that my site wants to open unsafe scripts.

Thank you in advance for your answer.

Best regards

 

Share this post


Link to post
Share on other sites

Hello,

The module still works, it's just the configuration page that has a problem viewing on Google Chrome.

I will make a new version to correct this problem, but the module appears on the frontoffice.

Share this post


Link to post
Share on other sites

Hello
The module is great but we have an English page but the text is displayed in German

 

what we can do.

 

Thanks for help

Screenshot (4).png

Share this post


Link to post
Share on other sites

Hi,

certainly because you browser is in German ?

Can you give me a link to see this trouble directly on your site ?

Share this post


Link to post
Share on other sites

hello again

 

I have seen
If I put the broser in English everything is ok

thanks for the note

Share this post


Link to post
Share on other sites

This module is blocked by my firewall, due to riskware via authedmine.com

Any ideas please.

Share this post


Link to post
Share on other sites

Hi

Thanks! Was trying it out and this is a Great Module!!

 

However it looks a bit different next to the other Features around it.  I'm using Prestashop 1.7.0.4 and have Hooked you module to the Top in "displayNav2". 

There are 2 questions I have:

1.   Can the Height of the Box be made to fit the Frame Span

2.  Why does it Overlap the Field when it is Hooked to the Left of andother Box (Module)

I've enclosed pictures and if you have a solution it will be much appreciated.

 

Thanks in advance

Z

Adjust Height.png

Adjust Overlap.png

Share this post


Link to post
Share on other sites

Hi,

If you use version 1.7.0.4 of PRestaShop I can only advise you to update quickly to the latest version of this development branch.

Concerning your questions, as you do not give me physical means to look at the problem; I will not test on all versions of PrestaShop, with all designs, installed by all users; I will answer as simply as possible.

  1. Certainly, looking at the CSS.
  2. Certainly there is a problem with the CSS.

Share this post


Link to post
Share on other sites

Does this support v 1.7.4.x as I cannot get it to work?

Share this post


Link to post
Share on other sites
Le 20/08/2018 à 10:00 AM, gray a dit :

Does this support v 1.7.4.x as I cannot get it to work?

Hi,

I just tested the module on a blank PrestaShop 1.7.4.2 installation without encountering any operating problems.

Share this post


Link to post
Share on other sites

If someone is interested you can check the demo (how the module works) on this Prestashop 1.7.4.4 - R24 Fans Shop

Module was moved to upper portion of the site (next to currency block), so far looks ok (sometimes there are 2 blocks to choice language, don't know why).

Edited by vkmaxx (see edit history)

Share this post


Link to post
Share on other sites

I was able to fix "2 widget problem" by applying this fix

My final footer.tpl looks like this (it's centered vertically):

{*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade this module to newer
* versions in the future. If you wish to customize this module for your
* needs please refer to http://doc.prestashop.com/display/PS15/Overriding+default+behaviors
* #Overridingdefaultbehaviors-Overridingamodule%27sbehavior for more information.
*
* @author Mediacom87 <support@mediacom87.net>
* @copyright  Mediacom87
* @license    commercial license see tab in the module
*}

<div class="language-selector">
<div id="google_translate_element"></div>
<script type="text/javascript">
var duplicate_google_translate_counter = 0;//this stops google adding button multiple times

function googleTranslateElementInit() {ldelim}
if (duplicate_google_translate_counter == 0) {
  new google.translate.TranslateElement({ldelim}pageLanguage: '{if isset($lang_iso)}{$lang_iso}{else}{$language.iso_code}{/if}', layout: google.translate.TranslateElement.InlineLayout.SIMPLE{rdelim}, 'google_translate_element');
  }
  duplicate_google_translate_counter++;
{rdelim}

</script><script type="text/javascript" src="//translate.google.com/translate_a/element.js?cb=googleTranslateElementInit"></script></div>

 

Edited by vkmaxx (see edit history)

Share this post


Link to post
Share on other sites

hi, this module wont works on ps 1.7.5.1 ?

Share this post


Link to post
Share on other sites
On 3/13/2019 at 8:07 AM, aldithedexstrom said:

yeah ... work in PS 1.7.5.1

i have install and actived it on my ps 1.7.5.1 but not show it...

Share this post


Link to post
Share on other sites

How to make it look part of your theme ? there is no coresponding css file wich i can edit in module section. How it looks the translateelement.css file is controlling, but it is outside my shop directory, and i cannot edit it.

Share this post


Link to post
Share on other sites
Le 16/04/2019 à 10:18 AM, berkis a dit :

How to make it look part of your theme ? there is no coresponding css file wich i can edit in module section. How it looks the translateelement.css file is controlling, but it is outside my shop directory, and i cannot edit it.

You can't edit external css but you can overload these css, you can easily find explanations on the Internet to do this.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More